<?php

	/*
	 * @author	Martijn Polak
	 * @since	3 aug 2004
	 * @name	Initialization plugin for the tplhtml engine
	 */


	// Globals
	global $globalSettings;
	global $g_obj_html;
	global $g_str_style;
	global $g_arr_css;
	global $g_obj_ti3a0365;
	global $g_obj_tich0105;
	global $p;
	global $s;

	// Includes
	require_once 'functions.php';

	// These are the only components that should be created here, the others should be created on 
	// the fly by using the tplhtml's createObject() function.
	$g_obj_html->createObject('ti3a0365', 'troyceI3A()');
	$g_obj_html->createObject('tich0105', 'Interchange(\'TICH0105\', $globalSettings->general->project->mainOrganizationID, $globalSettings->general->project->languageCode)');

	// Get style
	$g_obj_tich0105->getStylesheet($g_str_style, $globalSettings->general->project->mainOrganizationID, 'MAIN');
	$g_obj_tich0105->parseStylesheet($g_arr_css, $g_str_style);
	$g_obj_tich0105->setTemplateVariableByRef("css", $g_arr_css);

	// Set variables
	$g_obj_html->setTemplateVariableByRef('style', $g_str_style);
	$g_obj_html->setTemplateVariableByRef('css', $g_arr_css);
	$g_obj_html->setTemplateFunction('component', 'include_component');

?>